CREATE DATABASE authdb;
GRANT ALL PRIVILEGES ON DATABASE authdb TO {{ .Values.postgres.secrets.POSTGRES_USER }};
\connect authdb;
CREATE EXTENSION IF NOT EXISTS "uuid-ossp" SCHEMA public;

CREATE DATABASE avatarsdb;
GRANT ALL PRIVILEGES ON DATABASE avatarsdb TO {{ .Values.postgres.secrets.POSTGRES_USER }};
\connect avatarsdb;
CREATE EXTENSION IF NOT EXISTS "uuid-ossp" SCHEMA public;

CREATE DATABASE backgrounddb;
GRANT ALL PRIVILEGES ON DATABASE backgrounddb TO {{ .Values.postgres.secrets.POSTGRES_USER }};
\connect backgrounddb;
CREATE EXTENSION IF NOT EXISTS "uuid-ossp" SCHEMA public;

CREATE DATABASE licensedb;
GRANT ALL PRIVILEGES ON DATABASE licensedb TO {{ .Values.postgres.secrets.POSTGRES_USER }};
\connect licensedb;
CREATE EXTENSION IF NOT EXISTS "uuid-ossp" SCHEMA public;

CREATE DATABASE globalsearchdb;
GRANT ALL PRIVILEGES ON DATABASE globalsearchdb TO {{ .Values.postgres.secrets.POSTGRES_USER }};
\connect globalsearchdb;
CREATE EXTENSION IF NOT EXISTS "uuid-ossp" SCHEMA public;
CREATE EXTENSION IF NOT EXISTS "pg_trgm" SCHEMA public;